# synfig::Ray Struct Reference

`#include <curve_helper.h>`

List of all members.

## Public Member Functions

| Ray ()
| Ray (const Point &pin, const Vector &vin)

## Public Attributes

Point | p
Vector | v

## Constructor & Destructor Documentation

synfig::Ray::Ray | ( |  | ) | `[inline]`

synfig::Ray::Ray | ( | const Point & | pin,
|  | const Vector & | vin |
| ) |  |  | `[inline]`

## Member Data Documentation

Point synfig::Ray::p

Vector synfig::Ray::v

The documentation for this struct was generated from the following file:

- curve_helper.h